> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.nvidia.com/fleet-intel/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.nvidia.com/fleet-intel/_mcp/server.

# Get node groups

GET /v1/nodegroups

Get list of node groups with optional filtering and different view modes. Use view=detail for comprehensive metrics and view=basic for minimal ID/Name list. Detail view supports additional filters: computeZoneNames (partial match), healthStatuses, and gpuTypes

Reference: https://docs.nvidia.com/fleet-intel/fleet-intel/api-explorer/nodegroups/get-v-1-nodegroups

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: fleet-intelligence
  version: 1.0.0
paths:
  /v1/nodegroups:
    get:
      operationId: getV1Nodegroups
      summary: Get node groups
      description: >-
        Get list of node groups with optional filtering and different view
        modes. Use view=detail for comprehensive metrics and view=basic for
        minimal ID/Name list. Detail view supports additional filters:
        computeZoneNames (partial match), healthStatuses, and gpuTypes
      tags:
        - nodegroups
      parameters:
        - name: view
          in: query
          description: >-
            View mode: 'detail' for comprehensive metrics (default) or 'basic'
            for minimal list
          required: false
          schema:
            $ref: '#/components/schemas/V1NodegroupsGetParametersView'
            default: detail
        - name: includeMetrics
          in: query
          description: >-
            [DETAIL VIEW ONLY] Include metrics in response (default: true). Set
            to false for better performance when metrics are not needed.
          required: false
          schema:
            type: boolean
            default: true
        - name: computeZoneIds
          in: query
          description: >-
            Filter by compute zone IDs (e.g.,
            ?computeZoneIds=id1&computeZoneIds=id2)
          required: false
          schema:
            type: array
            items:
              type: string
        - name: computeZoneNames
          in: query
          description: >-
            [DETAIL VIEW ONLY] Filter by compute zone names with partial match
            (e.g., ?computeZoneNames=east&computeZoneNames=west)
          required: false
          schema:
            type: array
            items:
              type: string
        - name: computeZoneId
          in: query
          description: >-
            [LEGACY] Single compute zone ID to filter node groups - use
            computeZoneIds instead
          required: false
          schema:
            type: string
        - name: nodeGroupIds
          in: query
          description: >-
            List of node group IDs to filter (e.g.,
            ?nodeGroupIds=id1&nodeGroupIds=id2)
          required: false
          schema:
            type: array
            items:
              type: string
        - name: healthStatuses
          in: query
          description: >-
            [DETAIL VIEW ONLY] Filter by node health status values (e.g.,
            ?healthStatuses=Healthy&healthStatuses=Degraded)
          required: false
          schema:
            type: array
            items:
              $ref: >-
                #/components/schemas/V1NodegroupsGetParametersHealthStatusesSchemaItems
        - name: gpuTypes
          in: query
          description: >-
            [DETAIL VIEW ONLY] Filter by GPU type values (e.g.,
            ?gpuTypes=NVIDIA-H100-80GB-HBM3)
          required: false
          schema:
            type: array
            items:
              type: string
        - name: sortBy
          in: query
          description: Field to sort by (health, nodes)
          required: false
          schema:
            $ref: '#/components/schemas/V1NodegroupsGetParametersSortBy'
            default: health
        - name: order
          in: query
          description: Sort order (asc, desc)
          required: false
          schema:
            $ref: '#/components/schemas/V1NodegroupsGetParametersOrder'
            default: desc
        - name: page
          in: query
          description: 'Page number (default: 0)'
          required: false
          schema:
            type: integer
            default: 0
        - name: pageSize
          in: query
          description: 'Page size (default: 20, max: 100)'
          required: false
          schema:
            type: integer
            default: 20
      responses:
        '200':
          description: Basic view response (view=basic)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/nodegroups_getV1Nodegroups_Response_200'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
        '403':
          description: Forbidden - UAM authorization denied
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
        '499':
          description: Client Closed Request - request was canceled by the client
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
        '503':
          description: Service Unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
components:
  schemas:
    V1NodegroupsGetParametersView:
      type: string
      enum:
        - detail
        - basic
      default: detail
      title: V1NodegroupsGetParametersView
    V1NodegroupsGetParametersHealthStatusesSchemaItems:
      type: string
      enum:
        - Healthy
        - Degraded
        - Unhealthy
        - Unknown
      title: V1NodegroupsGetParametersHealthStatusesSchemaItems
    V1NodegroupsGetParametersSortBy:
      type: string
      enum:
        - health
        - nodes
      default: health
      title: V1NodegroupsGetParametersSortBy
    V1NodegroupsGetParametersOrder:
      type: string
      enum:
        - asc
        - desc
      default: desc
      title: V1NodegroupsGetParametersOrder
    models.AlertOverview:
      type: object
      properties:
        criticalCount:
          type: integer
        infoCount:
          type: integer
        lastCriticalAlert:
          type: string
        lastWarningAlert:
          type: string
        totalCount:
          type: integer
        unknownCount:
          type: integer
        warningCount:
          type: integer
      title: models.AlertOverview
    models.Contact:
      type: object
      properties:
        email:
          type: string
        pic:
          type: string
      title: models.Contact
    models.GeoLocation:
      type: object
      properties:
        city:
          type: string
        country:
          type: string
        latitude:
          type: number
          format: double
        longitude:
          type: number
          format: double
        region:
          type: string
      title: models.GeoLocation
    models.HealthState:
      type: string
      enum:
        - Healthy
        - Degraded
        - Unhealthy
        - Unknown
        - Unsupported
        - Pending
      title: models.HealthState
    models.Aggregation:
      type: string
      enum:
        - average
        - sum
        - min
        - max
        - none
      title: models.Aggregation
    models.Metric:
      type: object
      properties:
        aggregation:
          $ref: '#/components/schemas/models.Aggregation'
        description:
          type: string
        lastUpdated:
          type: string
        name:
          type: string
        unit:
          type: string
        value:
          type: number
          format: double
      title: models.Metric
    models.NodeGroupOverview:
      type: object
      properties:
        alertOverview:
          $ref: '#/components/schemas/models.AlertOverview'
        computeZoneContact:
          $ref: '#/components/schemas/models.Contact'
        computeZoneGeoLocation:
          $ref: '#/components/schemas/models.GeoLocation'
        computeZoneId:
          type: string
        computeZoneName:
          type: string
        cpuCoresCount:
          type: integer
        createdAt:
          type: string
        degradedNodesCount:
          type: integer
        description:
          type: string
        gpusCount:
          type: integer
        healthPercentage:
          type: number
          format: double
        healthState:
          $ref: '#/components/schemas/models.HealthState'
        healthyNodesCount:
          type: integer
        id:
          type: string
        metrics:
          type: array
          items:
            $ref: '#/components/schemas/models.Metric'
        name:
          type: string
        nodesCount:
          type: integer
        tags:
          type: array
          items:
            type: string
        unhealthyNodesCount:
          type: integer
        unknownNodesCount:
          type: integer
        updatedAt:
          type: string
      title: models.NodeGroupOverview
    models.NodeGroupsResponse:
      type: object
      properties:
        hasMore:
          type: boolean
        nodeGroups:
          type: array
          items:
            $ref: '#/components/schemas/models.NodeGroupOverview'
        page:
          type: integer
        pageSize:
          type: integer
        total:
          type: integer
      title: models.NodeGroupsResponse
    models.SimpleNodeGroup:
      type: object
      properties:
        computeZoneId:
          type: string
        computeZoneName:
          type: string
        id:
          type: string
        name:
          type: string
      title: models.SimpleNodeGroup
    models.ListNodeGroupsResponse:
      type: object
      properties:
        hasMore:
          type: boolean
        nodeGroups:
          type: array
          items:
            $ref: '#/components/schemas/models.SimpleNodeGroup'
        page:
          type: integer
        pageSize:
          type: integer
        total:
          type: integer
      title: models.ListNodeGroupsResponse
    nodegroups_getV1Nodegroups_Response_200:
      oneOf:
        - $ref: '#/components/schemas/models.NodeGroupsResponse'
        - $ref: '#/components/schemas/models.ListNodeGroupsResponse'
      title: nodegroups_getV1Nodegroups_Response_200
    models.KASRequestStatus:
      type: object
      properties:
        requestId:
          type: string
          description: Request ID for tracing
        statusCode:
          type: string
          description: Status code from KAS
        statusDescription:
          type: string
          description: Status description from KAS
      description: >-
        RequestStatus contains KAS-specific error details

        This is added to reflect the field in OpenAPI docs for UI reference and
        not populated by our code

        If KAS returns an error, the request will not be forwarded to the
        backend
      title: models.KASRequestStatus
    models.ErrorResponse:
      type: object
      properties:
        details:
          type: string
          description: Detailed error information
        error:
          type: string
          description: Error message or type
        requestStatus:
          $ref: '#/components/schemas/models.KASRequestStatus'
      description: >-
        Standard error response returned by all API endpoints. For KAS API
        errors, requestStatus fields are populated.
      title: models.ErrorResponse

```

## Examples



**Response**

```json
{
  "hasMore": false,
  "nodeGroups": [
    {
      "alertOverview": {
        "criticalCount": 2,
        "infoCount": 15,
        "lastCriticalAlert": "2024-01-15T14:15:00Z",
        "lastWarningAlert": "2024-01-15T14:28:00Z",
        "totalCount": 24,
        "unknownCount": 15,
        "warningCount": 7
      },
      "computeZoneContact": {
        "email": "admin@example.com",
        "pic": "John Doe"
      },
      "computeZoneGeoLocation": {
        "city": "Baltimore",
        "country": "United States",
        "latitude": 39.0458,
        "longitude": -76.6413,
        "region": "us-east-1"
      },
      "computeZoneId": "cz-us-east-1",
      "computeZoneName": "US East 1 ComputeZone",
      "cpuCoresCount": 40,
      "createdAt": "2024-01-10T09:00:00Z",
      "degradedNodesCount": 2,
      "description": "High-performance GPU nodes for ML workloads",
      "gpusCount": 80,
      "healthPercentage": 95,
      "healthState": "Healthy",
      "healthyNodesCount": 38,
      "id": "ng-gpu-cluster-1",
      "metrics": [
        {
          "aggregation": "average",
          "description": "System memory metrics",
          "lastUpdated": "2024-01-15T14:30:00Z",
          "name": "memory",
          "unit": "percent",
          "value": 72.3
        }
      ],
      "name": "GPU Compute Cluster 1",
      "nodesCount": 40,
      "tags": [
        "ml-training",
        "gpu-intensive",
        "high-memory"
      ],
      "unhealthyNodesCount": 0,
      "unknownNodesCount": 0,
      "updatedAt": "2024-01-15T14:28:00Z"
    }
  ],
  "page": 0,
  "pageSize": 20,
  "total": 0
}
```

**SDK Code**

```python
import requests

url = "https://api.example.com/v1/nodegroups"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://api.example.com/v1/nodegroups';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.example.com/v1/nodegroups"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.example.com/v1/nodegroups")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.example.com/v1/nodegroups")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.example.com/v1/nodegroups');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.example.com/v1/nodegroups");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/v1/nodegroups")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```